Chat

Get Vendor List

get
/chat-admin/vendor-list

Retrieves a list of vendors for chat administration.

Query parameters
keywordstringOptional

A search keyword to filter vendor details.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
chevron-right
200

Successfully got vendor details

application/json
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully Got Vendor Details
get
/chat-admin/vendor-list

Get User Details

get
/chat-admin

Fetches user details for chat administration.

Responses
chevron-right
200

Successfully retrieved user details

application/json
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully Got User Details
get
/chat-admin

Get Vendor Details

get
/chat-admin/vendor/{vendorId}

Fetches vendor details by vendor ID.

Path parameters
vendorIdintegerRequired

ID of the vendor to fetch details for

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
chevron-right
200

Successfully retrieved vendor details

application/json
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully Got Vendor Details
get
/chat-admin/vendor/{vendorId}

Get Chat History

get
/chat-admin/chat-history

Fetches the chat history for a given vendor.

Query parameters
vendorIdintegerRequired

ID of the vendor to fetch chat history for

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
chevron-right
200

Successfully retrieved chat history

application/json
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully Got Chat History..!
get
/chat-admin/chat-history

Get Seller Product Count

get
/admin-vendor-product/vendor-product-count

Fetches the count of products listed by a given vendor.

Query parameters
vendorIdintegerRequired

ID of the vendor to fetch the product count for

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
chevron-right
200

Successfully retrieved seller product count

application/json
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got the seller product count
get
/admin-vendor-product/vendor-product-count

Update Chat Seen Status

put
/chat-admin/chat-seen

Updates the status of the chat to 'seen' for a given vendor.

Query parameters
vendorIdintegerRequired

ID of the vendor to update the chat seen status for

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
chevron-right
200

Chat seen status updated successfully

application/json
statusintegerOptionalExample: 1
messagestringOptionalExample: Chat seen Status Updated..!
put
/chat-admin/chat-seen

Upload File

post
/media/upload-file

Upload a file (image) to the server.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
imagestringRequired

The image file to upload

pathstringRequired

The folder path where the image will be saved

fileNamestringRequired

The name to assign to the uploaded file

fileTypeintegerRequired

The type of the file (e.g., image, document)

Responses
chevron-right
200

Image uploaded successfully

application/json
statusintegerOptionalExample: 1
messagestringOptionalExample: Image Uploaded Successfully
post
/media/upload-file

Delete a specific message

put
/chat-admin/delete
Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
messageIdstringRequired

Unique identifier for the message to delete

fromIdintegerRequired

ID of the sender

toIdintegerRequired

ID of the recipient

Responses
chevron-right
200

Message Deleted Successfully

application/json
statusintegerOptionalExample: 1
messagestringOptionalExample: Message Deleted Successfully..!
put
/chat-admin/delete

Last updated